<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright 2026 MagicalBits
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/mobile_navigation"
    app:startDestination="@+id/nav_device">

    <fragment
        android:id="@+id/nav_conversation"
        android:name="xyz.magicalbits.smsremote.conversation.ConversationFragment"
        android:label="Conversation">
    </fragment>

    <fragment
        android:id="@+id/nav_profile"
        android:name="xyz.magicalbits.smsremote.profile.ProfileFragment"
        android:label="Profile">
        <argument
            android:name="userId"
            app:argType="string" />
    </fragment>

    <!-- TODO add a new fragment class for a blank home screen (to be eventually turned into a device selection screen) -->
    <fragment
        android:id="@+id/nav_device"
        android:name="xyz.magicalbits.smsremote.device.DeviceFragment"
        android:label="Device">
        <argument
            android:name="deviceId"
            app:argType="string" />
        <argument
            android:name="name"
            app:argType="string" />
        <argument
            android:name="type"
            app:argType="string" />
        <action
            android:id="@+id/action_device_to_conversation"
            app:destination="@id/nav_conversation"
            />
    </fragment>

    <!-- TODO add a new fragment class (based on ConversationFragment) serving as a device screen opened from the home screen -->

</navigation>
